package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class ConfermaDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(ConfermaDTO.class);
        ConfermaDTO confermaDTO1 = new ConfermaDTO();
        confermaDTO1.setId(1L);
        ConfermaDTO confermaDTO2 = new ConfermaDTO();
        assertThat(confermaDTO1).isNotEqualTo(confermaDTO2);
        confermaDTO2.setId(confermaDTO1.getId());
        assertThat(confermaDTO1).isEqualTo(confermaDTO2);
        confermaDTO2.setId(2L);
        assertThat(confermaDTO1).isNotEqualTo(confermaDTO2);
        confermaDTO1.setId(null);
        assertThat(confermaDTO1).isNotEqualTo(confermaDTO2);
    }
}
